org.apache.poi.hsmf.datatypes

## Class StoragePropertiesChunk

- java.lang.Object
- - org.apache.poi.hsmf.datatypes.Chunk
  - - org.apache.poi.hsmf.datatypes.PropertiesChunk
    - - org.apache.poi.hsmf.datatypes.StoragePropertiesChunk

-     public class StoragePropertiesChunk
      extends PropertiesChunk

  A `PropertiesChunk` for a Storage Properties, such as Attachments and Recipients. This only has a 8 byte header

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hsmf.datatypes.PropertiesChunk

      `NAME, PROPERTIES_FLAG_READABLE, PROPERTIES_FLAG_WRITEABLE, VARIABLE_LENGTH_PROPERTY_PREFIX`

    - ### Fields inherited from class org.apache.poi.hsmf.datatypes.Chunk

      `DEFAULT_NAME_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoragePropertiesChunk(ChunkGroup parentGroup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readValue(java.io.InputStream stream)` Reads the value of this chunk using an InputStream
    `void` | `writeValue(java.io.OutputStream out)` Writes the value of this chunk back out again.

    - ### Methods inherited from class org.apache.poi.hsmf.datatypes.PropertiesChunk

      `getEntryName, getProperties, getRawProperties, getRawValue, getValues, matchVariableSizedPropertiesToChunks, readProperties, setProperty, writeNodeData, writeProperties, writeProperties`

    - ### Methods inherited from class org.apache.poi.hsmf.datatypes.Chunk

      `getChunkId, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoragePropertiesChunk

          public StoragePropertiesChunk(ChunkGroup parentGroup)

  - ### Method Detail

    - #### readValue

          public void readValue(java.io.InputStream stream)
                         throws java.io.IOException

      Description copied from class: `Chunk`
      Reads the value of this chunk using an InputStream
      Specified by:
        `readValue` in class `Chunk`
      Throws:
        `java.io.IOException`

    - #### writeValue

          public void writeValue(java.io.OutputStream out)
                          throws java.io.IOException

      Description copied from class: `Chunk`
      Writes the value of this chunk back out again.
      Specified by:
        `writeValue` in class `Chunk`
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.